import Qt 4.7
import "../common/EnumHelper.js" as EnumHelper

ActivationBasePage
{
	headerString:			context.Localize("ActivationResultSucceedHeader")
	cancelButtonEnabled:	false
	nextButtonEnabled:		true
	nextButtonText:			context.Localize("ButtonFinishText")
	helpButtonVisible: 	false

	Column
	{
		anchors.left:				parent.left
		anchors.right:				parent.right
		anchors.verticalCenter:		parent.verticalCenter
		spacing:					15
		AnimatedImage
		{
			anchors.horizontalCenter:		parent.horizontalCenter
			source:							"../common/images/license/ico_ok_96.png"
		}
		Text
		{
			anchors.horizontalCenter:		parent.horizontalCenter
			anchors.topMargin:				10
			text:							context.SuccessDescription
			font:							activationWizard.fontStyles.stateTextForActivationResult
		}
	}

	Column
	{
		anchors.bottom:		parent.bottom
		spacing:			10
		
		visible: context.ShowInfoBlock

		Row
		{
			spacing: 3
			Text
			{
				text: context.Localize("LicenseTypeInfoOnSucceedActivation")
				font: activationWizard.fontStyles.masterOfActivationButtonsNormalText
			}
			Text
			{
				text: context.LicenseTypeDescription
				font: activationWizard.fontStyles.masterOfActivationButtonsNormalText
			}
		}
		Row
		{
			spacing: 3
			Text
			{
				text: context.Localize("SucceedActivationPeriodText")
				font: activationWizard.fontStyles.masterOfActivationButtonsNormalText
			}
			Text
			{
				text: context.ValidityStateDescription
				font: activationWizard.fontStyles.masterOfActivationButtonsNormalText
			}
		}
	}
	function onNext()
	{
		activationWizard.cancel();
	}
}

