import Qt 4.7
import "../common/fonts" as Fonts

Item
{
    width: parent.width
    height: childrenRect.height

    property string infoText
    property string infoValue
    property variant fontStyles: Fonts.Online{}

    Text
    {
        id: name
        font: fontStyles.statistic
        anchors.left: parent.left
        anchors.right: value.left; anchors.rightMargin: 3
        color: "gray"
        text: infoText
        wrapMode: "WordWrap"
    }

    Text
    {
        id: value
        anchors.right: parent.right
        font: fontStyles.huge
        color: "black"
        text: infoValue
    }
}
