import Qt 4.7
import "../common/fonts" as Fonts
import "../main_window" as MainFrame

MainFrame.InnerContent
{
	id:				ksnPanel
    objectName:		"KsnPanel"
    anchors.fill:	parent

    property int helpId: 47101

    property variant context:		MainWindow.online
    caption:						context.Localize("AboutCloudProtection")
	property variant fontStyles: Fonts.Online{}

    viewArea: Component
    {
		Item
		{	
			Image
            {
                source: "../common/images/ksn/background.png"
            }
            
			Image
            {
                anchors.verticalCenter: parent.verticalCenter
                anchors.horizontalCenter: parent.horizontalCenter
                source: "../common/images/ksn/ksn_bg.png"
                
                Item
                {
					anchors.fill: parent
					anchors.margins: 25
					
					Column
					{
						width : parent.width
						spacing: 20
						Text
						{
							width : parent.width
							text: context.Localize("KsnAboutMain")
							font: fontStyles.boldNormal
							wrapMode: "WordWrap"
						}

						Text
						{
							width : parent.width
							text: context.Localize("KsnAboutDetails")
							font: fontStyles.normal
							onLinkActivated: context.ShowMoreInfoAction.Invoke()
							wrapMode: "WordWrap"
						}
					}
					
					Text
					{
						anchors.bottom: parent.bottom
						width : parent.width
						text: context.Localize("KsnAboutNote")
						font: fontStyles.normal
						wrapMode: "WordWrap"
					}
                }
            }
		}
	}
}