import Qt 4.7
import "../common/widgets" as Widgets
import "../common/fonts" as Fonts

Item
{
	id: setupPassword
	objectName:	"setupPassword"
	anchors.fill: parent
	
	property variant context: MainWindow.parentalControl
	
	function setActiveFocus(delay)
	{
    		if (enterNewPassword.visible)
    			enterNewPassword.setActiveFocus(delay);
    		else if (specifyPasswordArea.visible)
    			specifyPasswordArea.setActiveFocus(delay);
	}
	
	SetPassword
	{
		id: enterNewPassword
		visible: !context.PasswordEnter.IsPasswordSpecified && !isPasswordEntered
	
	}
	
	PasswordArea
	{
		id: specifyPasswordArea
		visible: !context.PasswordEnter.IsPasswordSpecified && enterNewPassword.isPasswordEntered

		onVisibleChanged: setFocus()
		function setFocus()
		{
			if (visible)
				setActiveFocus(1);
		}
	}
}
